libetonyek::IWORKPropertyMapElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKPropertyMapElement Class Reference

`#include <IWORKPropertyMapElement.h>`

Inheritance diagram for libetonyek::IWORKPropertyMapElement:

## Public Member Functions
| IWORKPropertyMapElement (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
| IWORKPropertyMapElement (IWORKXMLParserState &state, IWORKPropertyHandler &propHandler)
IWORKXMLContextPtr_t | element (int name) override
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
| IWORKPropertyMapElement (const IWORKPropertyMapElement &)
IWORKPropertyMapElement & | operator= (const IWORKPropertyMapElement &)

## Private Attributes
IWORKPropertyMap * | m_propMap
IWORKPropertyHandler * | m_propHandler

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPropertyMapElement() [1/3]

libetonyek::IWORKPropertyMapElement::IWORKPropertyMapElement | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap
| ) |  |

## ◆ IWORKPropertyMapElement() [2/3]

libetonyek::IWORKPropertyMapElement::IWORKPropertyMapElement | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyHandler & | propHandler
| ) |  |

## ◆ IWORKPropertyMapElement() [3/3]

libetonyek::IWORKPropertyMapElement::IWORKPropertyMapElement | ( | const IWORKPropertyMapElement & |  | ) |
| private

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKPropertyMapElement::element | ( | int | name | ) |
| override

## ◆ operator=()

IWORKPropertyMapElement & libetonyek::IWORKPropertyMapElement::operator= | ( | const IWORKPropertyMapElement & |  | ) |
| private

## Member Data Documentation

## ◆ m_propHandler

IWORKPropertyHandler* libetonyek::IWORKPropertyMapElement::m_propHandler
| private

Referenced by element().

## ◆ m_propMap

IWORKPropertyMap* libetonyek::IWORKPropertyMapElement::m_propMap
| private

Referenced by element().

The documentation for this class was generated from the following files:

- IWORKPropertyMapElement.h
- IWORKPropertyMapElement.cpp